node {
    try {
        checkout scm
        if (env.BRANCH_NAME == 'master' || env.BRANCH_NAME == 'dev') {
            def dockerTag = new Date().format("yyyyMMddHHmm", TimeZone.getTimeZone('GMT+8:00'))
            def latestTag
            if (env.BRANCH_NAME == 'dev') {
                dockerTag = 'dev_' + dockerTag
                latestTag = 'dev'
            } else {
                latestTag = 'latest'
            }
        }
    }
}